aboutsummaryrefslogtreecommitdiff
path: root/check
diff options
context:
space:
mode:
authorTom Ryder <tom@sanctum.geek.nz>2017-10-31 22:38:00 +1300
committerTom Ryder <tom@sanctum.geek.nz>2017-10-31 22:38:00 +1300
commitfd2a4778962ac9ff26df251d52d29ce4a7cdc7d9 (patch)
treeed71fda91301ad7ab2532aa2a49ff5a19da33b3d /check
parentTidy and correct linting for all three shells (diff)
downloaddotfiles-fd2a4778962ac9ff26df251d52d29ce4a7cdc7d9.tar.gz
dotfiles-fd2a4778962ac9ff26df251d52d29ce4a7cdc7d9.zip
Apply revisions to `check-zsh` target as well
I forgot about this one.
Diffstat (limited to 'check')
-rw-r--r--check/zsh.sh12
1 files changed, 8 insertions, 4 deletions
diff --git a/check/zsh.sh b/check/zsh.sh
index 50335d56..ce209584 100644
--- a/check/zsh.sh
+++ b/check/zsh.sh
@@ -1,5 +1,9 @@
-for zsh in zsh/* zsh/zshrc.d/* ; do
- [ -f "$zsh" ] || continue
- zsh -n "$zsh" || exit
+set \
+ zsh/zprofile \
+ zsh/zshrc.d/*.zsh \
+ zsh/zshrc
+for zsh ; do
+ zsh -n -- "$zsh" || exit
done
-printf 'All zsh(1) scripts parsed successfully.\n'
+sh -n zsh/profile.d/zsh.sh || exit
+printf 'Z shell dotfiles parsed successfully.\n'